package com.njcn.gather.tool.wave.pojo.bo;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * RMS 波形数据。
 */
@Data
public class RmsData {

    /** 当前曲线最大值。 */
    private Float max;

    /** 当前曲线最小值。 */
    private Float min;

    /** A 相点位。 */
    private List<List<Float>> aValue = new ArrayList<>();

    /** B 相点位。 */
    private List<List<Float>> bValue = new ArrayList<>();

    /** C 相点位。 */
    private List<List<Float>> cValue = new ArrayList<>();
}
